<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeAddress-beans.Customer-">changeAddress(Customer)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Change the address of a customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeDetails-beans.Customer-">changeDetails(Customer)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Change the details of a customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changeEmail-beans.Customer-">changeEmail(Customer)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Change the email of an user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#changePassword-beans.Customer-">changePassword(Customer)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Change the password of an user.</div>
</dd>
<dt><a href="../servlets/Checkout.html" title="class in servlets"><span class="typeNameLink">Checkout</span></a> - Class in <a href="../servlets/package-summary.html">servlets</a></dt>
<dd>
<div class="block">Servlet implementation class Checkout.</div>
</dd>
<dt><span class="memberNameLink"><a href="../servlets/Checkout.html#Checkout--">Checkout()</a></span> - Constructor for class servlets.<a href="../servlets/Checkout.html" title="class in servlets">Checkout</a></dt>
<dd>
<div class="block">Instantiates a new Servlet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#checkPasswordAndEmail-java.lang.String-java.lang.String-">checkPasswordAndEmail(String, String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Check if the combination of the email and the password is correct</div>
</dd>
<dt><a href="../servlets/ChgUsrAddress.html" title="class in servlets"><span class="typeNameLink">ChgUsrAddress</span></a> - Class in <a href="../servlets/package-summary.html">servlets</a></dt>
<dd>
<div class="block">Servlet implementation class ChgUsrAdress.</div>
</dd>
<dt><span class="memberNameLink"><a href="../servlets/ChgUsrAddress.html#ChgUsrAddress--">ChgUsrAddress()</a></span> - Constructor for class servlets.<a href="../servlets/ChgUsrAddress.html" title="class in servlets">ChgUsrAddress</a></dt>
<dd>
<div class="block">Instantiates a new Servlet.</div>
</dd>
<dt><a href="../servlets/ChgUsrDetails.html" title="class in servlets"><span class="typeNameLink">ChgUsrDetails</span></a> - Class in <a href="../servlets/package-summary.html">servlets</a></dt>
<dd>
<div class="block">Servlet implementation class ChgUsrDetails.</div>
</dd>
<dt><span class="memberNameLink"><a href="../servlets/ChgUsrDetails.html#ChgUsrDetails--">ChgUsrDetails()</a></span> - Constructor for class servlets.<a href="../servlets/ChgUsrDetails.html" title="class in servlets">ChgUsrDetails</a></dt>
<dd>
<div class="block">Instantiates a new Servlet.</div>
</dd>
<dt><a href="../servlets/ChgUsrMail.html" title="class in servlets"><span class="typeNameLink">ChgUsrMail</span></a> - Class in <a href="../servlets/package-summary.html">servlets</a></dt>
<dd>
<div class="block">Servlet implementation class ChgUsrMail.</div>
</dd>
<dt><span class="memberNameLink"><a href="../servlets/ChgUsrMail.html#ChgUsrMail--">ChgUsrMail()</a></span> - Constructor for class servlets.<a href="../servlets/ChgUsrMail.html" title="class in servlets">ChgUsrMail</a></dt>
<dd>
<div class="block">Instantiates a new chg usr mail.</div>
</dd>
<dt><a href="../servlets/ChgUsrPass.html" title="class in servlets"><span class="typeNameLink">ChgUsrPass</span></a> - Class in <a href="../servlets/package-summary.html">servlets</a></dt>
<dd>
<div class="block">Servlet implementation class ChgUsrPass.</div>
</dd>
<dt><span class="memberNameLink"><a href="../servlets/ChgUsrPass.html#ChgUsrPass--">ChgUsrPass()</a></span> - Constructor for class servlets.<a href="../servlets/ChgUsrPass.html" title="class in servlets">ChgUsrPass</a></dt>
<dd>
<div class="block">Instantiates a new Servlet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#createOrder-beans.Order-javax.servlet.http.HttpSession-">createOrder(Order, HttpSession)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Creates an order in the database.</div>
</dd>
<dt><a href="../beans/Customer.html" title="class in beans"><span class="typeNameLink">Customer</span></a> - Class in <a href="../beans/package-summary.html">beans</a></dt>
<dd>
<div class="block">The Class Customer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../beans/Customer.html#Customer--">Customer()</a></span> - Constructor for class beans.<a href="../beans/Customer.html" title="class in beans">Customer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../helperClasses/DatabaseHelper.html#customerReviewedArticle-java.lang.String-java.lang.String-">customerReviewedArticle(String, String)</a></span> - Method in class helperClasses.<a href="../helperClasses/DatabaseHelper.html" title="class in helperClasses">DatabaseHelper</a></dt>
<dd>
<div class="block">Checks if a customer already reviewed an article.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
